%define upstream_name    Net-GPSD3
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Net::GPSD3 Return Satellite Object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::W3CDTF) >= 0.60.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(GPS::Point) >= 0.100.0
BuildRequires: perl(IO::Socket::INET6)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(Test::Simple) >= 0.440.0
BuildArch:  noarch

%description
Net::GPSD3 provides an object client interface to the gpsd server daemon
utilizing the version 3.1 protocol. gpsd is an open source GPS deamon from
http://gpsd.berlios.de/. Support for Version 3 of the protocol (JSON) was
adding to the daemon in version 2.90. If your daemon is before 2.90 then
please use the the Net::GPSD manpage package.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man?/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.190.0-9.mga8
+ Revision: 1495855
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.190.0-8.mga7
+ Revision: 1269909
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.190.0-7.mga6
+ Revision: 1031081
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.190.0-6.mga6
+ Revision: 948898
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.190.0-5.mga5
+ Revision: 788553
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-4.mga5
+ Revision: 739888
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.190.0-3.mga5
+ Revision: 685652
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.190.0-1.mga4
+ Revision: 447058
- update to 0.19

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 370611
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 05 2012 jquelin <jquelin> 0.180.0-1.mga2
+ Revision: 191458
- update to 0.18

* Mon Apr 11 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 83369
- update to 0.17

* Thu Apr 07 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 81777
- update to 0.15

* Mon Mar 28 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 78364
- update to 0.14

* Fri Mar 25 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 77325
- update to 0.12

* Mon Jan 24 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 36431
- mageia rebuild
- imported package perl-Net-GPSD3


* Sun Oct 31 2010 Olivier Thauvin <nanardon@mandriva.org> 0.110.0-1mdv2011.0
+ Revision: 590778
- import perl-Net-GPSD3

